## net.sf.saxon.charcode
Class CP1250CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.CP1250CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class CP1250CharacterSet

extends java.lang.Object
implements CharacterSet

This class defines properties of the cp1250 Central Europe character set, as defined at http://www.microsoft.com/globaldev/reference/sbcs/1250.htm.

Author:
  Michael Kay, with advice from Jirka Kocek

Field Summary
`static CP1250CharacterSet` `theInstance`

Method Summary
`static CP1250CharacterSet` `getInstance()`
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static CP1250CharacterSet theInstance

Method Detail

### getInstance

    public static CP1250CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Copyright (c) Saxonica Limited. All rights reserved.